from flask import Blueprint, render_template
from flask_login import login_required, current_user

bp = Blueprint('core', __name__)

@bp.route('/')
def home():
    return render_template('core/home.html')

@bp.route('/health')
def health():
    return 'OK', 200