import pytest
from app import create_app

def test_app_loads_plugins():
    app = create_app({'TESTING': True})
    assert hasattr(app, 'plugins'), "App missing plugins attribute"
    for plugin in ["auth", "admin", "plant", "cli"]:
        assert plugin in app.plugins, f"Plugin {plugin} not loaded"
