from .celery import celery_app

# Example placeholder task
@celery_app.task
def ping():
    return 'pong'


def init_celery(app):
    """
    Initialize the Celery app with the Flask app's config and context.
    Called automatically by the JSON-driven loader.
    """
    # Re-import the shared celery_app
    from .celery import celery_app
    celery_app.conf.update(app.config)
    return celery_app
